<h1>📝 Bot-Nutzeranleitung</h1>
<p>Willkommen zum Telegram-Wunsch-Bot! Hier ist eine einfache Anleitung, wie du die Funktionen des Bots nutzen kannst:</p>
<h2>1. Wunsch &auml;u&szlig;ern</h2>
<p><strong>Wunsch-Befehl verwenden</strong></p>
<p>Befehl: <code>/wunsch</code></p>
<p>Beschreibung: Verwende diesen Befehl, um einen Wunsch zu &auml;u&szlig;ern.</p>
<p>Schritt: Der Bot wird dir eine Liste von Kategorien anzeigen, aus denen du ausw&auml;hlen kannst.</p>
<p><img src="https://git.viper.ipv64.net/M_Viper/telegram-film-wunsch-bot/raw/branch/main/img/Kategorien.PNG" alt="Kategorie Auswahl" /></p>
<p><strong>Kategorie ausw&auml;hlen</strong></p>
<p>Der Bot zeigt dir ein Inline-Keyboard mit verschiedenen Kategorien wie Film, Serie, Anime, etc. W&auml;hle eine Kategorie aus, die zu deinem Wunsch passt.</p>
<p><img src="https://git.viper.ipv64.net/M_Viper/telegram-film-wunsch-bot/raw/branch/main/img/Kategorie_Film.png" alt="Kategorie Auswahl" /></p>
<p><strong>Link hinzuf&uuml;gen (Optional)</strong></p>
<p>Der Bot wird dich fragen, ob du einen Link zum Wunsch hinzuf&uuml;gen m&ouml;chtest (z.B. zu einem Cover oder Spotify). Falls du keinen Link hinzuf&uuml;gen m&ouml;chtest, kannst du einfach &bdquo;X&ldquo; eingeben.</p>
<p><img src="https://git.viper.ipv64.net/M_Viper/telegram-film-wunsch-bot/raw/branch/main/img/Link.PNG" alt="Link Eingabe" /></p>
<p><strong>Titel des Wunsches eingeben</strong></p>
<p>Gib den Titel des Wunsches ein, den du &auml;u&szlig;ern m&ouml;chtest.</p>
<p><img src="https://git.viper.ipv64.net/M_Viper/telegram-film-wunsch-bot/raw/branch/main/img/Titel.PNG" alt="Titel Eingabe" /></p>
<p><strong>Best&auml;tigen</strong></p>
<p>Der Bot sendet deinen Wunsch an die Gruppe, und du erh&auml;ltst eine Best&auml;tigung.</p>
<p><img src="https://git.viper.ipv64.net/M_Viper/telegram-film-wunsch-bot/raw/branch/main/img/wunsch_meldung.PNG" alt="Wunsch Meldung in der Gruppe" /></p>
<p>&nbsp;</p>
<h2>2. Wunsch als erf&uuml;llt markieren (Nur Admins)</h2>
<p>Befehl: Diese Funktion ist nur f&uuml;r Admins verf&uuml;gbar.</p>
<p>Beschreibung: Admins k&ouml;nnen einen Wunsch als erf&uuml;llt markieren, wenn der Wunsch umgesetzt wurde.</p>
<p><img src="https://git.viper.ipv64.net/M_Viper/telegram-film-wunsch-bot/raw/branch/main/img/erf%C3%BCllt.PNG" alt="Wunsch als erf&uuml;llt markieren" /></p>
<p>&nbsp;</p>
<h2>3. Wunsch als &bdquo;Nicht gefunden&ldquo; markieren&nbsp;</h2>
<h2>(Nur Admins)</h2>
<p>Befehl: Diese Funktion ist nur f&uuml;r Admins verf&uuml;gbar.</p>
<p>Beschreibung: Admins k&ouml;nnen W&uuml;nsche als &bdquo;Nicht gefunden&ldquo; markieren, wenn der Wunsch nicht gefunden wurde.</p>
<p>&nbsp;</p>
<h2>4. Nicht gefundene W&uuml;nsche verwalten&nbsp;</h2>
<h2>(Nur Admins)</h2>
<p><strong>Nicht gefundene W&uuml;nsche anzeigen</strong></p>
<p>Befehl: <code>/notfound</code></p>
<p>Beschreibung: Zeigt eine Liste aller nicht gefundenen W&uuml;nsche an. Nur Admins k&ouml;nnen diesen Befehl verwenden.</p>
<p><strong>Nicht gefundene W&uuml;nsche l&ouml;schen</strong></p>
<p>Beschreibung: Admins k&ouml;nnen nicht gefundene W&uuml;nsche aus der Liste l&ouml;schen. Der Bot wird nach der Nummer des Eintrags fragen, den du l&ouml;schen m&ouml;chtest.</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<div>
<div><code># folgende Daten m&uuml;ssen beim ersten Start hinterlegt werden</code></div>
<br /><br /><code>.env Datei:</code></div>
<div><br />
<div>
<div>
<div><code>TELEGRAM_TOKEN="TOKEN"</code></div>
<div><code>ALLOWED_CHAT_ID="CHAT-ID"</code></div>
<div><code>ALLOWED_THREAD_ID="Channel wo der Bot arbeiten kann (Beispiel 3)"</code></div>
<div>&nbsp;</div>
</div>
</div>
<p><code>zu Installierende Pakete:</code><br /><br /><code>npm install telegraf</code></p>
<p><code>npm install path</code></p>
<p><code>npm install fs</code></p>
<p><code>npm install archiver</code></p>
<p><code>npm install</code></p>
<div>
<div><code>node-schedule</code></div>
</div>
<p><code>npm install dotenv</code></p>
</div>